<?php
session_start();
require 'vendor/autoload.php';

require 'db.php'; 

$_SESSION['tableData'] = [];

if (!isset($_POST['values'])) {
    echo "<p>No data submitted for aggregation. Please go back and submit data.</p>";
    exit;
}

$values = $_POST['values'];
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-5PJBBBV6');</script>
<!-- End Google Tag Manager -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>FGL FP Sheet Data Overview</title>
    <link rel="shortcut icon" href="https://www.hirdaramani.com/themes/hirdaramani/assets/images/logo/favicon.png" />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/5.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="aggregate.css">
   
</head>
<body>
    <!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-5PJBBBV6"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->
<div class="container">
    <h1 class="text-center">FGL FP Sheet Data Overview</h1>
    <div class="text-center mb-4">
        <a href="download.php" class="btn btn-primary btn-lg">Download Excel</a>
    </div>

    <?php
    foreach ($values as $factory => $threshold) {
    $factoryEscaped = $conn->real_escape_string($factory);
    $thresholdFloat = floatval($threshold);
    // Define the upper limit as threshold + 5% of threshold
    $upperLimit = $thresholdFloat + ($thresholdFloat * 0.05);
    $cumulativeTotal = 0;
    $displayedRows = [];

    $query = "SELECT b.CUSTOMER_NAME AS Buyer, b.CONSIGNEE AS Buyer_Name, b.INVOICE_NUMBER AS F_Invoice, a.Invoice AS Invoice, a.Vendor_account AS Factory, a.Date AS Date, ABS(CAST(REPLACE(a.Total_payable, ',', '') AS DECIMAL(10, 2))) AS Total_payable, b.FOB AS FOB FROM Table1 a LEFT JOIN Table2 b ON a.Invoice = b.AX_FORMAT WHERE a.Vendor_account = '$factoryEscaped' ORDER BY STR_TO_DATE(a.Date, '%m/%d/%Y') ASC";
    $result = $conn->query($query);

    echo "<h2>Payment from direct receipts - $factory</h2>";
    if ($result && $result->num_rows > 0) {
        echo "<table class='table'><thead><tr><th>Buyer</th><th>Buyer Name</th><th>Final Invoice</th><th>AX Invoice</th><th>Factory Name</th><th>Date</th><th>Sales Value in US$</th><th>Purchase Value in US$</th><th>Profit</th><th>Profit%</th></tr></thead><tbody>";
        while ($row = $result->fetch_assoc()) {
            $totalPayable = floatval(str_replace(',', '', $row['Total_payable']));
            $fob = floatval(str_replace(',', '', $row['FOB']));
            $profit = $fob - $totalPayable;
            $profitPercentage = ($fob > 0) ? ($profit / $fob) * 100 : 0; // calculate profit percentage

            // Accumulate only if within threshold
            if (($cumulativeTotal + $totalPayable) <= $upperLimit) {
                $cumulativeTotal += $totalPayable;
                echo "<tr><td>{$row['Buyer']}</td><td>{$row['Buyer_Name']}</td><td>{$row['F_Invoice']}</td><td>{$row['Invoice']}</td><td>{$row['Factory']}</td><td>{$row['Date']}</td><td>{$row['FOB']}</td><td>{$row['Total_payable']}</td><td>{$profit}</td><td>" . number_format($profitPercentage, 2) . "%</td></tr>";
                $displayedRows[] = $row;
            }
        }
        echo "</tbody></table>";
        $_SESSION['tableData'][] = ['factory' => $factory, 'data' => $displayedRows];
    } else {
        echo "<p>No data found for $factory.</p>";
    }
}

    ?>
</div>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/5.1.3/js/bootstrap.bundle.min.js"></script>
</body>
</html>