<?php
session_start();
require 'vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\IOFactory;

require 'db.php'; 

if (isset($_FILES['file1'], $_FILES['file2'])) {
    $files = [
        'file1' => 'Table1',
        'file2' => 'Table2',
    ];

    foreach ($files as $fileKey => $tableName) {
        $filePath = $_FILES[$fileKey]['tmp_name'];
        $spreadsheet = IOFactory::load($filePath);
        $sheetData = $spreadsheet->getActiveSheet()->toArray(null, true, true, true);

        if (empty($sheetData)) {
            echo "Error: The file for $fileKey appears to be empty.<br>";
            continue;
        }

        $columnNames = array_shift($sheetData);
        $sanitizedColumnNames = array_map(function ($columnName) {
            return preg_replace('/[^a-zA-Z0-9_]/', '_', $columnName);
        }, $columnNames);
        
        $sanitizedColumnNames = array_filter($sanitizedColumnNames, function ($columnName) {
            return !empty($columnName);
        });

        $createTableSQL = "DROP TABLE IF EXISTS `$tableName`; CREATE TABLE `$tableName` (";
        foreach ($sanitizedColumnNames as $columnName) {
            $createTableSQL .= "`$columnName` TEXT, ";
        }
        $createTableSQL = rtrim($createTableSQL, ', ') . ');';

        $conn->multi_query($createTableSQL);
        while ($conn->next_result()) {;} // flush multi_queries

        $insertSQL = "INSERT INTO `$tableName` (`" . implode('`, `', $sanitizedColumnNames) . "`) VALUES ";
        $insertValues = [];
        foreach ($sheetData as $rowData) {
            if (!array_filter($rowData)) continue;
            $rowDataFiltered = array_intersect_key($rowData, array_flip(array_keys($sanitizedColumnNames)));
            $rowValues = array_map([$conn, 'real_escape_string'], array_values($rowDataFiltered));
            $insertValues[] = "('" . implode("', '", $rowValues) . "')";
        }

        if (!empty($insertValues)) {
            $insertSQL .= implode(", ", $insertValues);
            $conn->query($insertSQL);
        }
    }

    $_SESSION['upload_successful'] = true;
    $conn->close();
    header("Location: selectap&bom.php"); // Redirect back to index.php after processing
    exit;
} else {
    echo "Please upload two Excel files.";
}
?>
